"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getHighlights = getHighlights;
exports.getOptions = getOptions;
exports.getSourcePath = getSourcePath;
function getMatch(str, regex) {
  var regMatch = str.match(regex);

  if (regMatch) {
    return regMatch[1];
  }
}

function getHighlights(url) {
  return getMatch(url, /{(.*)}/);
}

function getOptions(url) {
  return getMatch(url, /\?(.*)/);
}

function getSourcePath(url) {
  return getMatch(url, /source:(.*)\{/) || // without highlights
  getMatch(url, /source:(.*)\?/) || // without options
  getMatch(url, /source:(.*)/) // clean
  ;
}